﻿<?xml version="1.0" encoding="utf-8"?>
<?xml-stylesheet type="text/xsl" href="c:\program files (x86)\microsoft visual studio 14.0\team tools\static analysis tools\fxcop\Xml\CodeAnalysisReport.xsl"?>
<FxCopReport Version="14.0">
 <Targets>
  <Target Name="C:\Users\OSGIR\AppData\Local\Temp\tmpE7B5.tmp.cadir\bin\App_Code.dll">
   <Modules>
    <Module Name="app_code.dll">
     <Namespaces>
      <Namespace Name="DBTools">
       <Types>
        <Type Name="csData" Kind="Class" Accessibility="Public" ExternallyVisible="True">
         <Messages>
          <Message TypeName="TypesThatOwnDisposableFieldsShouldBeDisposable" Category="Microsoft.Design" CheckId="CA1001" Status="Active" Created="2021-02-10 22:04:39Z" FixCategory="DependsOnFix">
           <Issue Name="DependsOnFix" Certainty="95" Level="CriticalError">Implemente IDisposable en 'csData' porque crea miembros de los tipos IDisposable siguientes: 'SqlConnection'. Si ya se había distribuido 'csData', agregar nuevos miembros que implementen IDisposable en este tipo se considera un cambio rotundo para los consumidores existentes.</Issue>
          </Message>
         </Messages>
         <Members>
          <Member Name="#ClickExecuteNonQuery(System.String)" Kind="Method" Static="False" Accessibility="Public" ExternallyVisible="True">
           <Messages>
            <Message TypeName="Revisar consultas SQL para comprobar si tienen vulnerabilidades de seguridad" Category="Microsoft.Security" CheckId="CA2100" Status="Active" Created="2021-02-10 22:04:39Z" FixCategory="DependsOnFix">
             <Issue Name="WithNonLiterals" Certainty="75" Level="Warning" Path="c:\otorga_oscar\SGEProxy\SGEProxy\App_Code" File="csData.cs" Line="398">La cadena de consulta pasada a 'SqlCommand.SqlCommand(string, SqlConnection)' en 'csData.ClickExecuteNonQuery(string)' podría contener las siguientes variables: 'sSQL'. Si alguna de estas variables puede proceder de datos proporcionados por el usuario, considere el uso de un procedimiento almacenado o una consulta SQL parametrizada en lugar de compilar la consulta con concatenaciones de cadenas.</Issue>
            </Message>
           </Messages>
          </Member>
          <Member Name="#ClickExecuteNonQueryV2(System.String)" Kind="Method" Static="False" Accessibility="Public" ExternallyVisible="True">
           <Messages>
            <Message TypeName="Revisar consultas SQL para comprobar si tienen vulnerabilidades de seguridad" Category="Microsoft.Security" CheckId="CA2100" Status="Active" Created="2021-02-10 22:04:39Z" FixCategory="DependsOnFix">
             <Issue Name="WithNonLiterals" Certainty="75" Level="Warning" Path="c:\otorga_oscar\SGEProxy\SGEProxy\App_Code" File="csData.cs" Line="426">La cadena de consulta pasada a 'SqlCommand.SqlCommand(string, SqlConnection)' en 'csData.ClickExecuteNonQueryV2(string)' podría contener las siguientes variables: 'sSQL'. Si alguna de estas variables puede proceder de datos proporcionados por el usuario, considere el uso de un procedimiento almacenado o una consulta SQL parametrizada en lugar de compilar la consulta con concatenaciones de cadenas.</Issue>
            </Message>
           </Messages>
          </Member>
          <Member Name="#DeleteDataTable(System.String,System.Data.DataTable)" Kind="Method" Static="False" Accessibility="Public" ExternallyVisible="True">
           <Messages>
            <Message TypeName="Revisar consultas SQL para comprobar si tienen vulnerabilidades de seguridad" Category="Microsoft.Security" CheckId="CA2100" Status="Active" Created="2021-02-10 22:04:39Z" FixCategory="DependsOnFix">
             <Issue Name="WithNonLiterals" Certainty="75" Level="Warning" Path="c:\otorga_oscar\SGEProxy\SGEProxy\App_Code" File="csData.cs" Line="357">La cadena de consulta pasada a 'SqlCommand.SqlCommand(string, SqlConnection)' en 'csData.DeleteDataTable(string, DataTable)' podría contener las siguientes variables: 'sCommand'. Si alguna de estas variables puede proceder de datos proporcionados por el usuario, considere el uso de un procedimiento almacenado o una consulta SQL parametrizada en lugar de compilar la consulta con concatenaciones de cadenas.</Issue>
            </Message>
           </Messages>
          </Member>
          <Member Name="#InsertAlert(System.Int32,System.Int32,System.Int32,System.Int32,System.Nullable`1&lt;System.Guid&gt;,System.Int32)" Kind="Method" Static="False" Accessibility="Public" ExternallyVisible="True">
           <Messages>
            <Message TypeName="Revisar consultas SQL para comprobar si tienen vulnerabilidades de seguridad" Category="Microsoft.Security" CheckId="CA2100" Status="Active" Created="2021-02-10 22:04:39Z" FixCategory="DependsOnFix">
             <Issue Name="WithNonLiterals" Certainty="75" Level="Warning" Path="c:\otorga_oscar\SGEProxy\SGEProxy\App_Code" File="csData.cs" Line="620">La cadena de consulta pasada a 'SqlCommand.SqlCommand(string, SqlConnection)' en 'csData.InsertAlert(int, int, int, int, Guid?, int)' podría contener las siguientes variables: 'sb'. Si alguna de estas variables puede proceder de datos proporcionados por el usuario, considere el uso de un procedimiento almacenado o una consulta SQL parametrizada en lugar de compilar la consulta con concatenaciones de cadenas.</Issue>
            </Message>
           </Messages>
          </Member>
          <Member Name="#InsertDataSet(System.String,System.Data.DataSet)" Kind="Method" Static="False" Accessibility="Public" ExternallyVisible="True">
           <Messages>
            <Message TypeName="Revisar consultas SQL para comprobar si tienen vulnerabilidades de seguridad" Category="Microsoft.Security" CheckId="CA2100" Status="Active" Created="2021-02-10 22:04:39Z" FixCategory="DependsOnFix">
             <Issue Name="WithNonLiterals" Certainty="75" Level="Warning" Path="c:\otorga_oscar\SGEProxy\SGEProxy\App_Code" File="csData.cs" Line="181">La cadena de consulta pasada a 'SqlCommand.SqlCommand(string, SqlConnection)' en 'csData.InsertDataSet(string, DataSet)' podría contener las siguientes variables: 'lstCommand[i]'. Si alguna de estas variables puede proceder de datos proporcionados por el usuario, considere el uso de un procedimiento almacenado o una consulta SQL parametrizada en lugar de compilar la consulta con concatenaciones de cadenas.</Issue>
            </Message>
           </Messages>
          </Member>
          <Member Name="#InsertDataTable(System.String,System.Data.DataTable)" Kind="Method" Static="False" Accessibility="Public" ExternallyVisible="True">
           <Messages>
            <Message TypeName="Revisar consultas SQL para comprobar si tienen vulnerabilidades de seguridad" Category="Microsoft.Security" CheckId="CA2100" Status="Active" Created="2021-02-10 22:04:39Z" FixCategory="DependsOnFix">
             <Issue Name="WithNonLiterals" Certainty="75" Level="Warning" Path="c:\otorga_oscar\SGEProxy\SGEProxy\App_Code" File="csData.cs" Line="269">La cadena de consulta pasada a 'SqlCommand.SqlCommand(string, SqlConnection)' en 'csData.InsertDataTable(string, DataTable)' podría contener las siguientes variables: 'sCommand'. Si alguna de estas variables puede proceder de datos proporcionados por el usuario, considere el uso de un procedimiento almacenado o una consulta SQL parametrizada en lugar de compilar la consulta con concatenaciones de cadenas.</Issue>
            </Message>
           </Messages>
          </Member>
          <Member Name="#InsertPortalEvent(System.Int32,System.String,System.String)" Kind="Method" Static="False" Accessibility="Public" ExternallyVisible="True">
           <Messages>
            <Message TypeName="Revisar consultas SQL para comprobar si tienen vulnerabilidades de seguridad" Category="Microsoft.Security" CheckId="CA2100" Status="Active" Created="2021-02-10 22:04:39Z" FixCategory="DependsOnFix">
             <Issue Name="WithNonLiterals" Certainty="75" Level="Warning" Path="c:\otorga_oscar\SGEProxy\SGEProxy\App_Code" File="csData.cs" Line="499">La cadena de consulta pasada a 'SqlCommand.SqlCommand(string, SqlConnection)' en 'csData.InsertPortalEvent(int, string, string)' podría contener las siguientes variables: 'sb'. Si alguna de estas variables puede proceder de datos proporcionados por el usuario, considere el uso de un procedimiento almacenado o una consulta SQL parametrizada en lugar de compilar la consulta con concatenaciones de cadenas.</Issue>
            </Message>
           </Messages>
          </Member>
          <Member Name="#InsertPortalVisit(System.Int32,System.Int32,System.String,System.String,System.String,System.String)" Kind="Method" Static="False" Accessibility="Public" ExternallyVisible="True">
           <Messages>
            <Message TypeName="Revisar consultas SQL para comprobar si tienen vulnerabilidades de seguridad" Category="Microsoft.Security" CheckId="CA2100" Status="Active" Created="2021-02-10 22:04:39Z" FixCategory="DependsOnFix">
             <Issue Name="WithNonLiterals" Certainty="75" Level="Warning" Path="c:\otorga_oscar\SGEProxy\SGEProxy\App_Code" File="csData.cs" Line="558">La cadena de consulta pasada a 'SqlCommand.SqlCommand(string, SqlConnection)' en 'csData.InsertPortalVisit(int, int, string, string, string, string)' podría contener las siguientes variables: 'sb'. Si alguna de estas variables puede proceder de datos proporcionados por el usuario, considere el uso de un procedimiento almacenado o una consulta SQL parametrizada en lugar de compilar la consulta con concatenaciones de cadenas.</Issue>
            </Message>
           </Messages>
          </Member>
          <Member Name="#ModifyDataSet(System.String,System.Data.DataSet)" Kind="Method" Static="False" Accessibility="Public" ExternallyVisible="True">
           <Messages>
            <Message TypeName="Revisar consultas SQL para comprobar si tienen vulnerabilidades de seguridad" Category="Microsoft.Security" CheckId="CA2100" Status="Active" Created="2021-02-10 22:04:39Z" FixCategory="DependsOnFix">
             <Issue Name="WithNonLiterals" Certainty="75" Level="Warning" Path="c:\otorga_oscar\SGEProxy\SGEProxy\App_Code" File="csData.cs" Line="126">La cadena de consulta pasada a 'SqlDataAdapter.SqlDataAdapter(string, SqlConnection)' en 'csData.ModifyDataSet(string, DataSet)' podría contener las siguientes variables: 'sCommand'. Si alguna de estas variables puede proceder de datos proporcionados por el usuario, considere el uso de un procedimiento almacenado o una consulta SQL parametrizada en lugar de compilar la consulta con concatenaciones de cadenas.</Issue>
            </Message>
           </Messages>
          </Member>
          <Member Name="#ModifyDataTable(System.String,System.Data.DataTable)" Kind="Method" Static="False" Accessibility="Public" ExternallyVisible="True">
           <Messages>
            <Message TypeName="Revisar consultas SQL para comprobar si tienen vulnerabilidades de seguridad" Category="Microsoft.Security" CheckId="CA2100" Status="Active" Created="2021-02-10 22:04:39Z" FixCategory="DependsOnFix">
             <Issue Name="WithNonLiterals" Certainty="75" Level="Warning" Path="c:\otorga_oscar\SGEProxy\SGEProxy\App_Code" File="csData.cs" Line="311">La cadena de consulta pasada a 'SqlCommand.SqlCommand(string, SqlConnection)' en 'csData.ModifyDataTable(string, DataTable)' podría contener las siguientes variables: 'sCommand'. Si alguna de estas variables puede proceder de datos proporcionados por el usuario, considere el uso de un procedimiento almacenado o una consulta SQL parametrizada en lugar de compilar la consulta con concatenaciones de cadenas.</Issue>
            </Message>
           </Messages>
          </Member>
          <Member Name="#ObtenerDataSet(System.String)" Kind="Method" Static="False" Accessibility="Public" ExternallyVisible="True">
           <Messages>
            <Message TypeName="Revisar consultas SQL para comprobar si tienen vulnerabilidades de seguridad" Category="Microsoft.Security" CheckId="CA2100" Status="Active" Created="2021-02-10 22:04:39Z" FixCategory="DependsOnFix">
             <Issue Name="WithNonLiterals" Certainty="75" Level="Warning" Path="c:\otorga_oscar\SGEProxy\SGEProxy\App_Code" File="csData.cs" Line="102">La cadena de consulta pasada a 'SqlCommand.SqlCommand(string, SqlConnection)' en 'csData.ObtenerDataSet(string)' podría contener las siguientes variables: 'sCommand'. Si alguna de estas variables puede proceder de datos proporcionados por el usuario, considere el uso de un procedimiento almacenado o una consulta SQL parametrizada en lugar de compilar la consulta con concatenaciones de cadenas.</Issue>
            </Message>
           </Messages>
          </Member>
          <Member Name="#ObtenerDataTable(System.String)" Kind="Method" Static="False" Accessibility="Public" ExternallyVisible="True">
           <Messages>
            <Message TypeName="Revisar consultas SQL para comprobar si tienen vulnerabilidades de seguridad" Category="Microsoft.Security" CheckId="CA2100" Status="Active" Created="2021-02-10 22:04:39Z" FixCategory="DependsOnFix">
             <Issue Name="WithNonLiterals" Certainty="75" Level="Warning" Path="c:\otorga_oscar\SGEProxy\SGEProxy\App_Code" File="csData.cs" Line="245">La cadena de consulta pasada a 'SqlCommand.SqlCommand(string, SqlConnection)' en 'csData.ObtenerDataTable(string)' podría contener las siguientes variables: 'sCommand'. Si alguna de estas variables puede proceder de datos proporcionados por el usuario, considere el uso de un procedimiento almacenado o una consulta SQL parametrizada en lugar de compilar la consulta con concatenaciones de cadenas.</Issue>
            </Message>
           </Messages>
          </Member>
          <Member Name="#TraerValor(System.String,System.Int32)" Kind="Method" Static="False" Accessibility="Public" ExternallyVisible="True">
           <Messages>
            <Message TypeName="Revisar consultas SQL para comprobar si tienen vulnerabilidades de seguridad" Category="Microsoft.Security" CheckId="CA2100" Status="Active" Created="2021-02-10 22:04:39Z" FixCategory="DependsOnFix">
             <Issue Name="WithNonLiterals" Certainty="75" Level="Warning" Path="c:\otorga_oscar\SGEProxy\SGEProxy\App_Code" File="csData.cs" Line="70">La cadena de consulta pasada a 'SqlCommand.SqlCommand(string, SqlConnection)' en 'csData.TraerValor(string, int)' podría contener las siguientes variables: 'sCommand'. Si alguna de estas variables puede proceder de datos proporcionados por el usuario, considere el uso de un procedimiento almacenado o una consulta SQL parametrizada en lugar de compilar la consulta con concatenaciones de cadenas.</Issue>
            </Message>
           </Messages>
          </Member>
          <Member Name="#TraerValor(System.String,System.String)" Kind="Method" Static="False" Accessibility="Public" ExternallyVisible="True">
           <Messages>
            <Message TypeName="Revisar consultas SQL para comprobar si tienen vulnerabilidades de seguridad" Category="Microsoft.Security" CheckId="CA2100" Status="Active" Created="2021-02-10 22:04:39Z" FixCategory="DependsOnFix">
             <Issue Name="WithNonLiterals" Certainty="75" Level="Warning" Path="c:\otorga_oscar\SGEProxy\SGEProxy\App_Code" File="csData.cs" Line="43">La cadena de consulta pasada a 'SqlCommand.SqlCommand(string, SqlConnection)' en 'csData.TraerValor(string, string)' podría contener las siguientes variables: 'sCommand'. Si alguna de estas variables puede proceder de datos proporcionados por el usuario, considere el uso de un procedimiento almacenado o una consulta SQL parametrizada en lugar de compilar la consulta con concatenaciones de cadenas.</Issue>
            </Message>
           </Messages>
          </Member>
         </Members>
        </Type>
       </Types>
      </Namespace>
     </Namespaces>
    </Module>
   </Modules>
  </Target>
 </Targets>
 <Rules>
  <Rule TypeName="Revisar consultas SQL para comprobar si tienen vulnerabilidades de seguridad" Category="Microsoft.Security" CheckId="CA2100">
   <Name>Revisar consultas SQL para comprobar si tienen vulnerabilidades de seguridad</Name>
   <Description>Una cadena de comando SQL compilada a partir de datos proporcionados por el usuario es vulnerable a ataques pon inyección de código SQL. Microsoft SQL Server y otros servidores de bases de datos admiten procedimientos almacenados y consultas SQL parametrizadas, que reducen el riesgo de ataques por inyección.</Description>
   <Resolution Name="WithNonLiterals">La cadena de consulta pasada a {0} en {1} podría contener las siguientes variables: {2}. Si alguna de estas variables puede proceder de datos proporcionados por el usuario, considere el uso de un procedimiento almacenado o una consulta SQL parametrizada en lugar de compilar la consulta con concatenaciones de cadenas.</Resolution>
   <Owner>RuleOwner</Owner>
   <Url>http://msdn.microsoft.com/library/ms182310.aspx</Url>
   <Email />
   <MessageLevel Certainty="75">Warning</MessageLevel>
   <File Name="dataflowrules.dll" Version="14.0.0.0" />
  </Rule>
  <Rule TypeName="TypesThatOwnDisposableFieldsShouldBeDisposable" Category="Microsoft.Design" CheckId="CA1001">
   <Name>Los tipos que poseen campos descartables deben ser descartables</Name>
   <Description>Los tipos que declaran miembros descartables también deben implementar IDisposable. Si el tipo no posee ningún recurso no administrado, no implementar un finalizador.</Description>
   <Resolution Name="DependsOnFix">Implemente IDisposable en {0} porque crea miembros de los tipos IDisposable siguientes: {1}. Si ya se había distribuido {0}, agregar nuevos miembros que implementen IDisposable en este tipo se considera un cambio rotundo para los consumidores existentes.</Resolution>
   <Owner />
   <Url>http://msdn.microsoft.com/library/ms182172.aspx</Url>
   <Email>[none]</Email>
   <MessageLevel Certainty="95">CriticalError</MessageLevel>
   <File Name="designrules.dll" Version="14.0.0.0" />
  </Rule>
 </Rules>
 <Localized>
  <String Key="Category">Categoría</String>
  <String Key="Certainty">Certeza</String>
  <String Key="CollapseAll">Contraer todo</String>
  <String Key="CheckId">Comprobar id.</String>
  <String Key="Error">Error</String>
  <String Key="Errors">errores</String>
  <String Key="ExpandAll">Expandir todo</String>
  <String Key="Help">Ayuda</String>
  <String Key="Line">Línea</String>
  <String Key="Messages">mensajes</String>
  <String Key="LocationNotStoredInPdb">[Ubicación no almacenada en Pdb]</String>
  <String Key="Project">Proyecto</String>
  <String Key="Resolution">Resolución</String>
  <String Key="Rule">Regla</String>
  <String Key="RuleFile">Archivo de regla</String>
  <String Key="RuleDescription">Descripción de la regla</String>
  <String Key="Source">Origen</String>
  <String Key="Status">Estado</String>
  <String Key="Target">Círculos concéntricos</String>
  <String Key="Warning">Advertencia</String>
  <String Key="Warnings">advertencias</String>
  <String Key="ReportTitle">Informe de análisis del código</String>
 </Localized>
</FxCopReport>
